> For the complete documentation index, see [llms.txt](https://docs.coherence.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherence.io/2.3/support/upgrading-unity-sdk/upgrading-to-coherence-unity-sdk-0.9.0.md).

# Upgrade 0.9 -> 0.10

Notable API changes include:

* `Coherence.Network` is removed now. `OnConnected` and `OnDisconnected` events are moved to `IClient` and have changed a signature:

```csharp
    private void OnEnable()
    {
        if (!BridgeStore.TryGetBridge(gameObject.scene, out CoherenceBridge Bridge))
            return; 
        
        client = Bridge.Client;
        client.OnConnected += OnConnect;
        client.OnDisconnected += OnDisconnect;
    }

    private void OnDisable()
    {
        client.OnConnected -= OnConnect;
        client.OnDisconnected -= OnDisconnect;
    }

    private void OnConnect(ushort u)
    {
        onConnect.Invoke();
    }

    private void OnDisconnect(ConnectionCloseReason reason)
    {
        onDisconnect.Invoke();
    }
```

* `BridgeStore.GetBridge` is now obsolete, and will be replaced with\
  `BridgeStore.TryGetBridge`.

```csharp
BridgeStore.TryGetBridge(gameObject.scene, out Bridge);
```

* `CoherenceSync.isSimulated` is now obsolete, and will be replaced with `CoherenceSync.HasStateAuthority`.
* `CoherenceSync.RequestAuthority` is now obsolete, and will be replaced with `CoherenceSync.RequestAuthority(AuthorityType).`

{% hint style="info" %}
For more information, see [Release Notes](/2.3/support/release-notes.md).
{% endhint %}

{% hint style="info" %}
For detailed documentation of the updated CoherenceSync component, see [CoherenceSync](/2.3/manual/components/coherence-sync.md).
{% endhint %}

#### CLI Tools

The CLI tools have been updated, especially the ones that handle Simulators. To learn more about this, see [CLI](/2.3/manual/replication-server/command-line-interface.md)[ utilities](/2.3/manual/replication-server/command-line-interface.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/2.3/support/upgrading-unity-sdk/upgrading-to-coherence-unity-sdk-0.9.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
